<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'magaz' WHERE `id` = '".$id_session."'");
####################################################

////////////////////////////////////////
echo head . "<b>ICQ магазин</b>" . div;

if($level_session >=3)
echo clouds . '<a href="icq_panel.php">Админка</a> | ';

echo '<b>Шопинг:</b>' . div;
if(!$_GET['mode']){
echo padding;
echo '<b>На счету</b>: '.$many_session.' монет<br/>';
echo '<b>На продаже</b>: '.mysql_num_rows(mysql_query("SELECT `id` FROM `icq_all`")).' номеров<br/>';
echo '<b>Продано</b>: '.mysql_num_rows(mysql_query("SELECT `id` FROM `icq_prod`")).' номеров<br/>';
echo div;	
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `icq_all`"), 0);

echo kub . '<img src="style/img/kub.gif" alt="" />' . div;

if($all==0)
{
    echo katalog . 'Номеров нет' . div;
}else{
    echo katalog . '<b>Выберите номер:</b><br/ >';
    
    $result = mysql_query("SELECT * FROM `icq_all`");
    while($post = mysql_fetch_array($result)){
        
	   echo '<img src="icq.gif" alt="."/> <a href="icq.php?mode='.$post['id'].'">'.$post['nomer'].'</a> | Цена: '.$post['cena'].' монет <br/ >';
	   }
    echo div;
}

}else if($_GET['mode']>0){
	$idsl = intval($_GET['mode']);
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `icq_all` WHERE `id` = ".num($idsl).""));

    @$time = mysql_result(mysql_query("SELECT `time` FROM `icq_prod` WHERE `id_user_icq` = '".$id_session."'  ORDER BY `id` DESC LIMIT 1;"), 0);
    if(time() - $time < 24*60){ echo katalog . 'Разрешено покупать один номер в сутки.' . div;
 } else {	 

if($user['many']<$p['cena']){
	echo katalog . 'У вас нехватает монет на покупку UIN: '.$p['nomer'].div;
	}else{

		$msg = $p['nomer'];
		$msg = mysql_escape_string($msg);

if(@mysql_query("INSERT INTO `icq_prod` (`id`, `id_user_icq`, `nomer`, `time`) VALUES ('', '".$user['id']."', '".$msg."', '".time()."')")){
	$user['many'] == $user['many'] - $p['cena'];
	mysql_query("DELETE FROM `icq_all` WHERE `nomer` = '".num($p['nomer'])."'");
	mysql_query("UPDATE `profile` SET `many` = '".($user['many']-$p['cena'])."' WHERE `id` = '".$id_session."';");

	echo katalog . 'Поздравляем вас с покупкой <b>UIN</b>: '.$p['nomer'].' <b>Пароль</b>: '.$p['pass'].div;
	
	}
	}
	}
}


////////////////////////////////////////

navig();
foot();
?>